package com.cmx.wanhui.activity;

import android.app.Application;
import android.content.Context;

import com.lsxiao.apollo.core.Apollo;

import io.reactivex.android.schedulers.AndroidSchedulers;

public class MyApplication extends Application {
    private static MyApplication mInstance;

    private static String mToken;

    @Override
    public void onCreate() {
        super.onCreate();
        mInstance = this;
        Apollo.init(AndroidSchedulers.mainThread(), this);
    }


    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
    }


    public static MyApplication getmInstance() {
        return mInstance;
    }

    public static String getmToken() {
        return mToken;
    }

    public static void setmToken(String mToken) {
        MyApplication.mToken = mToken;
    }
}
