package com.cmx.wanhui.view;

import android.animation.ObjectAnimator;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.animation.LinearInterpolator;
import android.widget.ImageView;

import com.cmx.wanhui.R;


public class BaseLoadingDialog extends Dialog {

    private ImageView load;

    public BaseLoadingDialog(Context context) {
        super(context, R.style.CustomDialog);
    }


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_confirm);
        load = findViewById(R.id.iv_load);
        ObjectAnimator animator = ObjectAnimator.ofFloat(load, "rotationY", 0, 360);
        animator.setDuration(3000);
        animator.setInterpolator(new LinearInterpolator());
        animator.setRepeatCount(-1);
        animator.start();
        setCancelable(true);
        setCanceledOnTouchOutside(true);
    }


}